commit 1eb19dddbf2b7b7fdc572ee53be312082eb9301f
Author: freddy77 <freddy77>
Date:   Sat Jan 9 13:10:30 2010 +0000

    Cleanup, statify

diff --git a/ChangeLog b/ChangeLog
index 6b13925..40ec57d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Sat Jan  9 14:10:18 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/apps/defncopy.c: Cleanup, statify
+
 Sat Jan  9 11:55:34 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/apps/defncopy.c: cleanup defncopy
 
@@ -2061,4 +2064,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2925 2010/01/09 10:55:44 freddy77 Exp $
+$Id: ChangeLog,v 1.2926 2010/01/09 13:10:30 freddy77 Exp $
diff --git a/src/apps/defncopy.c b/src/apps/defncopy.c
index 74fb31e..bcb810f 100644
--- a/src/apps/defncopy.c
+++ b/src/apps/defncopy.c
@@ -88,7 +88,7 @@ int getopt(int argc, const char *argv[], char *optstring);
 #endif
 #endif /* MicrosoftsDbLib */
 
-static char software_version[] = "$Id: defncopy.c,v 1.15 2010/01/09 10:55:44 freddy77 Exp $";
+static char software_version[] = "$Id: defncopy.c,v 1.16 2010/01/09 13:10:30 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #ifndef MicrosoftsDbLib
@@ -101,12 +101,6 @@ static int msg_handler(DBPROCESS * dbproc, DBINT msgno, int msgstate, int severi
 		const char srvname[], const char procname[], unsigned short int line);
 #endif /* MicrosoftsDbLib */
 
-#ifndef MicrosoftsDbLib
-struct METADATA { char *name, *source; int type, size; };
-#else
-struct METADATA { const char *name, *source; int type, size; };
-#endif /* MicrosoftsDbLib */
-
 typedef struct _options 
 { 
 	int 	optind;
@@ -128,10 +122,11 @@ static int print_results(DBPROCESS *dbproc);
 static LOGINREC* get_login(int argc, char *argv[], OPTIONS *poptions);
 static void parse_argument(const char argument[], PROCEDURE* procedure);
 static void usage(const char invoked_as[]);
+static char * rtrim(char * s);
 
 /* global variables */
-OPTIONS options;
-char use_statement[512];
+static OPTIONS options;
+static char use_statement[512];
 /* end global variables */
 
 
@@ -283,9 +278,7 @@ parse_argument(const char argument[], PROCEDURE* procedure)
 	}
 }
 
-char * rtrim(char * s);
-
-char *
+static char *
 rtrim(char * s)
 {
 	char *p = strchr(s, ' ');
@@ -312,7 +305,7 @@ rtrim(char * s)
  *	10. Access_Rule_name       Collation
  *	11. Identity	
  */
-int
+static int
 print_ddl(DBPROCESS *dbproc, PROCEDURE *procedure) 
 {
  	struct DDL { char *name, *type, *length, *precision, *scale, *nullable; } *ddl = NULL;
@@ -529,7 +522,7 @@ print_ddl(DBPROCESS *dbproc, PROCEDURE *procedure)
 	return nrows;
 }
 
-int /* return count of SQL text rows */
+static int /* return count of SQL text rows */
 print_results(DBPROCESS *dbproc) 
 {
 	RETCODE erc;

